MotorWare f2806x Driver API Documentation

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Typedefs | Enumerations | Functions
PIE

## Data Structures
struct | _PIE_IERIFR_t
| Defines the PIE_IERIFR_t data type. More...
struct | _PIE_Obj_
| Defines the peripheral interrupt expansion (PIE) object. More...

## Macros
#define | PIE_BASE_ADDR (0x00000CE0)
| Defines the base address of the peripheral interrupt expansion (PIE) registers. More...
#define | PIE_DBGIER_INT1_BITS (1 << 0)
| Defines the location of the INT1 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT2_BITS (1 << 1)
| Defines the location of the INT2 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT3_BITS (1 << 2)
| Defines the location of the INT3 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT4_BITS (1 << 3)
| Defines the location of the INT4 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT5_BITS (1 << 4)
| Defines the location of the INT5 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT6_BITS (1 << 5)
| Defines the location of the INT6 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT7_BITS (1 << 6)
| Defines the location of the INT7 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT8_BITS (1 << 7)
| Defines the location of the INT8 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT9_BITS (1 << 8)
| Defines the location of the INT9 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT10_BITS (1 << 9)
| Defines the location of the INT10 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT11_BITS (1 << 10)
| Defines the location of the INT11 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT12_BITS (1 << 11)
| Defines the location of the INT12 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT13_BITS (1 << 12)
| Defines the location of the INT13 bits in the DBGIER register. More...
#define | PIE_DBGIER_INT14_BITS (1 << 13)
| Defines the location of the INT14 bits in the DBGIER register. More...
#define | PIE_DBGIER_DLOGINT_BITS (1 << 14)
| Defines the location of the DLOGINT bits in the DBGIER register. More...
#define | PIE_DBGIER_RTOSINT_BITS (1 << 15)
| Defines the location of the RTOSINT bits in the DBGIER register. More...
#define | PIE_IER_INT1_BITS (1 << 0)
| Defines the location of the INT1 bits in the IER register. More...
#define | PIE_IER_INT2_BITS (1 << 1)
| Defines the location of the INT2 bits in the IER register. More...
#define | PIE_IER_INT3_BITS (1 << 2)
| Defines the location of the INT3 bits in the IER register. More...
#define | PIE_IER_INT4_BITS (1 << 3)
| Defines the location of the INT4 bits in the IER register. More...
#define | PIE_IER_INT5_BITS (1 << 4)
| Defines the location of the INT5 bits in the IER register. More...
#define | PIE_IER_INT6_BITS (1 << 5)
| Defines the location of the INT6 bits in the IER register. More...
#define | PIE_IER_INT7_BITS (1 << 6)
| Defines the location of the INT7 bits in the IER register. More...
#define | PIE_IER_INT8_BITS (1 << 7)
| Defines the location of the INT8 bits in the IER register. More...
#define | PIE_IER_INT9_BITS (1 << 8)
| Defines the location of the INT9 bits in the IER register. More...
#define | PIE_IER_INT10_BITS (1 << 9)
| Defines the location of the INT10 bits in the IER register. More...
#define | PIE_IER_INT11_BITS (1 << 10)
| Defines the location of the INT11 bits in the IER register. More...
#define | PIE_IER_INT12_BITS (1 << 11)
| Defines the location of the INT12 bits in the IER register. More...
#define | PIE_IER_INT13_BITS (1 << 12)
| Defines the location of the INT13 bits in the IER register. More...
#define | PIE_IER_INT14_BITS (1 << 13)
| Defines the location of the INT14 bits in the IER register. More...
#define | PIE_IER_DLOGINT_BITS (1 << 14)
| Defines the location of the DLOGINT bits in the IER register. More...
#define | PIE_IER_RTOSINT_BITS (1 << 15)
| Defines the location of the RTOSINT bits in the IER register. More...
#define | PIE_IERx_INTx1_BITS (1 << 0)
| Defines the location of the INTx1 bits in the IERx register. More...
#define | PIE_IERx_INTx2_BITS (1 << 1)
| Defines the location of the INTx2 bits in the IERx register. More...
#define | PIE_IERx_INTx3_BITS (1 << 2)
| Defines the location of the INTx3 bits in the IERx register. More...
#define | PIE_IERx_INTx4_BITS (1 << 3)
| Defines the location of the INTx4 bits in the IERx register. More...
#define | PIE_IERx_INTx5_BITS (1 << 4)
| Defines the location of the INTx5 bits in the IERx register. More...
#define | PIE_IERx_INTx6_BITS (1 << 5)
| Defines the location of the INTx6 bits in the IERx register. More...
#define | PIE_IERx_INTx7_BITS (1 << 6)
| Defines the location of the INTx7 bits in the IERx register. More...
#define | PIE_IERx_INTx8_BITS (1 << 7)
| Defines the location of the INTx8 bits in the IERx register. More...
#define | PIE_IFR_INT1_BITS (1 << 0)
| Defines the location of the INT1 bits in the IFR register. More...
#define | PIE_IFR_INT2_BITS (1 << 1)
| Defines the location of the INT2 bits in the IFR register. More...
#define | PIE_IFR_INT3_BITS (1 << 2)
| Defines the location of the INT3 bits in the IFR register. More...
#define | PIE_IFR_INT4_BITS (1 << 3)
| Defines the location of the INT4 bits in the IFR register. More...
#define | PIE_IFR_INT5_BITS (1 << 4)
| Defines the location of the INT5 bits in the IFR register. More...
#define | PIE_IFR_INT6_BITS (1 << 5)
| Defines the location of the INT6 bits in the IFR register. More...
#define | PIE_IFR_INT7_BITS (1 << 6)
| Defines the location of the INT7 bits in the IFR register. More...
#define | PIE_IFR_INT8_BITS (1 << 7)
| Defines the location of the INT8 bits in the IFR register. More...
#define | PIE_IFR_INT9_BITS (1 << 8)
| Defines the location of the INT9 bits in the IFR register. More...
#define | PIE_IFR_INT10_BITS (1 << 9)
| Defines the location of the INT10 bits in the IFR register. More...
#define | PIE_IFR_INT11_BITS (1 << 10)
| Defines the location of the INT11 bits in the IFR register. More...
#define | PIE_IFR_INT12_BITS (1 << 11)
| Defines the location of the INT12 bits in the IFR register. More...
#define | PIE_IFR_INT13_BITS (1 << 12)
| Defines the location of the INT13 bits in the IFR register. More...
#define | PIE_IFR_INT14_BITS (1 << 13)
| Defines the location of the INT14 bits in the IFR register. More...
#define | PIE_IFR_DLOGINT_BITS (1 << 14)
| Defines the location of the DLOGINT bits in the IFR register. More...
#define | PIE_IFR_RTOSINT_BITS (1 << 15)
| Defines the location of the RTOSINT bits in the IFR register. More...
#define | PIE_IFRx_INTx1_BITS (1 << 0)
| Defines the location of the INTx1 bits in the IFRx register. More...
#define | PIE_IFRx_INTx2_BITS (1 << 1)
| Defines the location of the INTx2 bits in the IFRx register. More...
#define | PIE_IFRx_INTx3_BITS (1 << 2)
| Defines the location of the INTx3 bits in the IFRx register. More...
#define | PIE_IFRx_INTx4_BITS (1 << 3)
| Defines the location of the INTx4 bits in the IFRx register. More...
#define | PIE_IFRx_INTx5_BITS (1 << 4)
| Defines the location of the INTx5 bits in the IFRx register. More...
#define | PIE_IFRx_INTx6_BITS (1 << 5)
| Defines the location of the INTx6 bits in the IFRx register. More...
#define | PIE_IFRx_INTx7_BITS (1 << 6)
| Defines the location of the INTx7 bits in the IFRx register. More...
#define | PIE_IFRx_INTx8_BITS (1 << 7)
| Defines the location of the INTx8 bits in the IFRx register. More...
#define | PIE_PIECTRL_ENPIE_BITS (1 << 0)
| Defines the location of the ENPIE bits in the PIECTRL register. More...
#define | PIE_PIECTRL_PIEVECT_BITS (32767 << 1)
| Defines the location of the PIEVECT bits in the PIECTRL register. More...
#define | PIE_PIEACK_GROUP1_BITS (1 << 0)
| Defines the location of the GROUP1 bits in the PIEACK register. More...
#define | PIE_PIEACK_GROUP2_BITS (1 << 1)
| Defines the location of the GROUP2 bits in the PIEACK register. More...
#define | PIE_PIEACK_GROUP3_BITS (1 << 2)
| Defines the location of the GROUP3 bits in the PIEACK register. More...
#define | PIE_PIEACK_GROUP4_BITS (1 << 3)
| Defines the location of the GROUP4 bits in the PIEACK register. More...
#define | PIE_PIEACK_GROUP5_BITS (1 << 4)
| Defines the location of the GROUP5 bits in the PIEACK register. More...
#define | PIE_PIEACK_GROUP6_BITS (1 << 5)
| Defines the location of the GROUP6 bits in the PIEACK register. More...
#define | PIE_PIEACK_GROUP7_BITS (1 << 6)
| Defines the location of the GROUP7 bits in the PIEACK register. More...
#define | PIE_PIEACK_GROUP8_BITS (1 << 7)
| Defines the location of the GROUP8 bits in the PIEACK register. More...
#define | PIE_PIEACK_GROUP9_BITS (1 << 8)
| Defines the location of the GROUP9 bits in the PIEACK register. More...
#define | PIE_PIEACK_GROUP10_BITS (1 << 9)
| Defines the location of the GROUP10 bits in the PIEACK register. More...
#define | PIE_PIEACK_GROUP11_BITS (1 << 10)
| Defines the location of the GROUP11 bits in the PIEACK register. More...
#define | PIE_PIEACK_GROUP12_BITS (1 << 11)
| Defines the location of the GROUP12 bits in the PIEACK register. More...
#define | PIE_XINTnCR_POLARITY_BITS (3 << 2)
#define | PIE_XINTnCR_ENABLE_BITS (1 << 0)

## Typedefs
typedef interrupt void(* | PIE_IntVec_t) (void)
| Defines the type for an interrupt vector. More...
typedef struct _PIE_IERIFR_t | PIE_IERIFR_t
| Defines the PIE_IERIFR_t data type. More...
typedef struct _PIE_Obj_ | PIE_Obj
| Defines the peripheral interrupt expansion (PIE) object. More...
typedef struct _PIE_Obj_ * | PIE_Handle
| Defines the peripheral interrupt expansion (PIE) handle. More...

## Enumerations
enum | PIE_ExtIntPolarity_e { PIE_ExtIntPolarity_FallingEdge =(0 << 2), PIE_ExtIntPolarity_RisingEdge =(1 << 2), PIE_ExtIntPolarity_RisingAndFallingEdge =(3 << 2) }
| Enumeration to define the external interrupt polarity. More...
enum | PIE_GroupNumber_e { PIE_GroupNumber_1 = 0, PIE_GroupNumber_2 = 1, PIE_GroupNumber_3 = 2, PIE_GroupNumber_4 = 3, PIE_GroupNumber_5 = 4, PIE_GroupNumber_6 = 5, PIE_GroupNumber_7 = 6, PIE_GroupNumber_8 = 7, PIE_GroupNumber_9 = 8, PIE_GroupNumber_10 = 9, PIE_GroupNumber_11 = 10, PIE_GroupNumber_12 = 11 }
| Enumeration to define the peripheral interrupt expansion (PIE) group numbers. More...
enum | PIE_SubGroupNumber_e { PIE_SubGroupNumber_1 = 0, PIE_SubGroupNumber_2 = 1, PIE_SubGroupNumber_3 = 2, PIE_SubGroupNumber_4 = 3, PIE_SubGroupNumber_5 = 4, PIE_SubGroupNumber_6 = 5, PIE_SubGroupNumber_7 = 6, PIE_SubGroupNumber_8 = 7 }
| Enumeration to define the peripheral interrupt expansion (PIE) sub-group numbers. More...
enum | PIE_SystemInterrupts_e { PIE_SystemInterrupts_Reset = 0, PIE_SystemInterrupts_INT1, PIE_SystemInterrupts_INT2, PIE_SystemInterrupts_INT3, PIE_SystemInterrupts_INT4, PIE_SystemInterrupts_INT5, PIE_SystemInterrupts_INT6, PIE_SystemInterrupts_INT7, PIE_SystemInterrupts_INT8, PIE_SystemInterrupts_INT9, PIE_SystemInterrupts_INT10, PIE_SystemInterrupts_INT11, PIE_SystemInterrupts_INT12, PIE_SystemInterrupts_TINT1, PIE_SystemInterrupts_TINT2, PIE_SystemInterrupts_DATALOG, PIE_SystemInterrupts_RTOSINT, PIE_SystemInterrupts_EMUINT, PIE_SystemInterrupts_NMI, PIE_SystemInterrupts_ILLEGAL, PIE_SystemInterrupts_USER1, PIE_SystemInterrupts_USER2, PIE_SystemInterrupts_USER3, PIE_SystemInterrupts_USER4, PIE_SystemInterrupts_USER5, PIE_SystemInterrupts_USER6, PIE_SystemInterrupts_USER7, PIE_SystemInterrupts_USER8, PIE_SystemInterrupts_USER9, PIE_SystemInterrupts_USER10, PIE_SystemInterrupts_USER11, PIE_SystemInterrupts_USER12 }
| Enumeration to define the system interrupts. More...
enum | PIE_InterruptSource_e { PIE_InterruptSource_ADCINT_1_1 = (1 << 0), PIE_InterruptSource_ADCINT_1_2 = (1 << 1), PIE_InterruptSource_XINT_1 = (1 << 3), PIE_InterruptSource_XINT_2 = (1 << 4), PIE_InterruptSource_ADCINT_9 = (1 << 5), PIE_InterruptSource_TIMER_0 = (1 << 6), PIE_InterruptSource_WAKE = (1 << 7), PIE_InterruptSource_TZ1 = (1 << 0), PIE_InterruptSource_TZ2 = (1 << 1), PIE_InterruptSource_TZ3 = (1 << 2), PIE_InterruptSource_TZ4 = (1 << 3), PIE_InterruptSource_TZ5 = (1 << 4), PIE_InterruptSource_TZ6 = (1 << 5), PIE_InterruptSource_TZ7 = (1 << 6), PIE_InterruptSource_TZ8 = (1 << 7), PIE_InterruptSource_EPWM1 = (1 << 0), PIE_InterruptSource_EPWM2 = (1 << 1), PIE_InterruptSource_EPWM3 = (1 << 2), PIE_InterruptSource_EPWM4 = (1 << 3), PIE_InterruptSource_EPWM5 = (1 << 4), PIE_InterruptSource_EPWM6 = (1 << 5), PIE_InterruptSource_EPWM7 = (1 << 6), PIE_InterruptSource_EPWM8 = (1 << 7), PIE_InterruptSource_ECAP1 = (1 << 0), PIE_InterruptSource_ECAP2 = (1 << 1), PIE_InterruptSource_ECAP3 = (1 << 2), PIE_InterruptSource_HRCAP1 = (1 << 6), PIE_InterruptSource_HRCAP2 = (1 << 7), PIE_InterruptSource_EQEP1 = (1 << 0), PIE_InterruptSource_EQEP2 = (1 << 1), PIE_InterruptSource_HRCAP3 = (1 << 3), PIE_InterruptSource_HRCAP4 = (1 << 4), PIE_InterruptSource_USB0 = (1 << 7), PIE_InterruptSource_SPIARX = (1 << 0), PIE_InterruptSource_SPIATX = (1 << 1), PIE_InterruptSource_SPIBRX = (1 << 2), PIE_InterruptSource_SPIBTX = (1 << 3), PIE_InterruptSource_MCBSPARX = (1 << 4), PIE_InterruptSource_MCBSPATX = (1 << 5), PIE_InterruptSource_DMA_CH1 = (1 << 0), PIE_InterruptSource_DMA_CH2 = (1 << 1), PIE_InterruptSource_DMA_CH3 = (1 << 2), PIE_InterruptSource_DMA_CH4 = (1 << 3), PIE_InterruptSource_DMA_CH5 = (1 << 4), PIE_InterruptSource_DMA_CH6 = (1 << 5), PIE_InterruptSource_I2CA1 = (1 << 0), PIE_InterruptSource_I2CA2 = (1 << 1), PIE_InterruptSource_SCIARX = (1 << 0), PIE_InterruptSource_SCIATX = (1 << 1), PIE_InterruptSource_SCIBRX = (1 << 2), PIE_InterruptSource_SCIBTX = (1 << 3), PIE_InterruptSource_ECANA0 = (1 << 4), PIE_InterruptSource_ECANA1 = (1 << 5), PIE_InterruptSource_ADCINT_10_1 = (1 << 0), PIE_InterruptSource_ADCINT_10_2 = (1 << 1), PIE_InterruptSource_ADCINT_3 = (1 << 2), PIE_InterruptSource_ADCINT_4 = (1 << 3), PIE_InterruptSource_ADCINT_5 = (1 << 4), PIE_InterruptSource_ADCINT_6 = (1 << 5), PIE_InterruptSource_ADCINT_7 = (1 << 6), PIE_InterruptSource_ADCINT_8 = (1 << 7), PIE_InterruptSource_CLAINT_1 = (1 << 0), PIE_InterruptSource_CLAINT_2 = (1 << 1), PIE_InterruptSource_CLAINT_3 = (1 << 2), PIE_InterruptSource_CLAINT_4 = (1 << 3), PIE_InterruptSource_CLAINT_5 = (1 << 4), PIE_InterruptSource_CLAINT_6 = (1 << 5), PIE_InterruptSource_CLAINT_7 = (1 << 6), PIE_InterruptSource_CLAINT_8 = (1 << 7), PIE_InterruptSource_XINT_3 = (1 << 0), PIE_InterruptSource_CLAINT_LVF = (1 << 6), PIE_InterruptSource_CLAINT_LUF = (1 << 7) }
| Enumeration to define the peripheral interrupt expansion (PIE) individual interrupt sources. More...

## Functions
void | PIE_clearAllInts (PIE_Handle pieHandle)
| Clears all the interrupts. More...
void | PIE_clearAllFlags (PIE_Handle pieHandle)
| Clears all the interrupt flags. More...
static void | PIE_clearInt (PIE_Handle pieHandle, const PIE_GroupNumber_e groupNumber)
| Clears an interrupt defined by group number. More...
void | PIE_disable (PIE_Handle pieHandle)
| Disables the peripheral interrupt expansion (PIE) More...
void | PIE_disableAllInts (PIE_Handle pieHandle)
| Disables all of the interrupts. More...
void | PIE_disableCaptureInt (PIE_Handle pieHandle)
| Disables the capture interrupt. More...
void | PIE_disableInt (PIE_Handle pieHandle, const PIE_GroupNumber_e group, const PIE_InterruptSource_e intSource)
| Disable a specific PIE interrupt. More...
void | PIE_enable (PIE_Handle pieHandle)
| Enables the peripheral interrupt expansion (PIE) More...
void | PIE_enableAdcInt (PIE_Handle pieHandle, const ADC_IntNumber_e intNumber)
| Enables the specified ADC interrupt. More...
void | PIE_enableCaptureInt (PIE_Handle pieHandle)
| Enables the capture interrupt. More...
void | PIE_enableExtInt (PIE_Handle pieHandle, const CPU_ExtIntNumber_e intNumber)
| Enables the prescribed external interrupt. More...
void | PIE_enableInt (PIE_Handle pieHandle, const PIE_GroupNumber_e group, const PIE_InterruptSource_e intSource)
| Enable a specific PIE interrupt. More...
void | PIE_enablePwmInt (PIE_Handle pieHandle, const PWM_Number_e pwmNumber)
| Enables the PWM interrupt. More...
void | PIE_enablePwmTzInt (PIE_Handle pieHandle, const PWM_Number_e pwmNumber)
| Enables the PWM Trip Zone interrupt. More...
void | PIE_enableTimer0Int (PIE_Handle pieHandle)
| Enables the Cpu Timer 0 interrupt. More...
uint16_t | PIE_getExtIntCount (PIE_Handle pieHandle, const CPU_ExtIntNumber_e intNumber)
| Gets the external interrupt count value. More...
uint16_t | PIE_getIntEnables (PIE_Handle pieHandle, const PIE_GroupNumber_e group)
| Gets PIE interrupt enable values. More...
uint16_t | PIE_getIntFlags (PIE_Handle pieHandle, const PIE_GroupNumber_e group)
| Gets PIE interrupt flag values. More...
void | PIE_forceInt (PIE_Handle pieHandle, const PIE_GroupNumber_e group, const PIE_InterruptSource_e intSource)
| Force a specific PIE interrupt. More...
interrupt void | PIE_illegalIsr (void)
| Defines an illegal interrupt service routine - if the program pointer references this function, there is an incorrect mapping in the PIE interrupt table. More...
PIE_Handle | PIE_init (void *pMemory, const size_t numBytes)
| Initializes the peripheral interrupt expansion (PIE) object handle. More...
void | PIE_registerPieIntHandler (PIE_Handle pieHandle, const PIE_GroupNumber_e groupNumber, const PIE_SubGroupNumber_e subGroupNumber, const PIE_IntVec_t vector)
| Registers a handler for a PIE interrupt. More...
void | PIE_registerSystemIntHandler (PIE_Handle pieHandle, const PIE_SystemInterrupts_e systemInt, const PIE_IntVec_t vector)
| Registers a handler for a PIE interrupt. More...
void | PIE_setDefaultIntVectorTable (PIE_Handle pieHandle)
| Initializes the vector table with illegal ISR handlers. More...
void | PIE_setExtIntPolarity (PIE_Handle pieHandle, const CPU_ExtIntNumber_e intNumber, const PIE_ExtIntPolarity_e polarity)
| Sets the external interrupt polarity. More...
void | PIE_unregisterPieIntHandler (PIE_Handle pieHandle, const PIE_GroupNumber_e groupNumber, const PIE_SubGroupNumber_e subGroupNumber)
| Unregisters a handler for a PIE interrupt. More...
void | PIE_unregisterSystemIntHandler (PIE_Handle pieHandle, const PIE_SystemInterrupts_e systemInt)
| Unregisters a handler for a PIE interrupt. More...

## Detailed Description

## Data Structure Documentation

struct _PIE_IERIFR_t

Defines the PIE_IERIFR_t data type.

Definition at line 594 of file pie.h.

Data Fields
volatile uint16_t | IER | the Interrupt Enable Register (IER)
volatile uint16_t | IFR | the Interrupt Flag Register (IFR)

struct _PIE_Obj_

Defines the peripheral interrupt expansion (PIE) object.

Definition at line 603 of file pie.h.

Data Fields
volatile PIE_IntVec_t | ADCINT1 | ADCINT1 interrupt vector.
volatile PIE_IntVec_t | ADCINT1_HP | ADC high priority interrupt.
volatile PIE_IntVec_t | ADCINT2 | ADCINT2 interrupt vector.
volatile PIE_IntVec_t | ADCINT2_HP | ADC high priority interrupt.
volatile PIE_IntVec_t | ADCINT3 | ADCINT3 interrupt vector.
volatile PIE_IntVec_t | ADCINT4 | ADCINT4 interrupt vector.
volatile PIE_IntVec_t | ADCINT5 | ADCINT5 interrupt vector.
volatile PIE_IntVec_t | ADCINT6 | ADCINT6 interrupt vector.
volatile PIE_IntVec_t | ADCINT7 | ADCINT7 interrupt vector.
volatile PIE_IntVec_t | ADCINT8 | ADCINT8 interrupt vector.
volatile PIE_IntVec_t | ADCINT9 | ADCINT9 interrupt vector.
volatile PIE_IntVec_t | CLAINT1 | CLA Interrupt 1.
volatile PIE_IntVec_t | CLAINT2 | CLA Interrupt 2.
volatile PIE_IntVec_t | CLAINT3 | CLA Interrupt 3.
volatile PIE_IntVec_t | CLAINT4 | CLA Interrupt 4.
volatile PIE_IntVec_t | CLAINT5 | CLA Interrupt 5.
volatile PIE_IntVec_t | CLAINT6 | CLA Interrupt 6.
volatile PIE_IntVec_t | CLAINT7 | CLA Interrupt 7.
volatile PIE_IntVec_t | CLAINT8 | CLA Interrupt 8.
volatile PIE_IntVec_t | CLAINT_LUF | CLA Interrupt LUF.
volatile PIE_IntVec_t | CLAINT_LVF | CLA Interrupt LVF.
volatile PIE_IntVec_t | DATALOG | DATALOG interrupt vector.
volatile PIE_IntVec_t | DMACH1_INT | DMA Channel 1.
volatile PIE_IntVec_t | DMACH2_INT | DMA Channel 2.
volatile PIE_IntVec_t | DMACH3_INT | DMA Channel 3.
volatile PIE_IntVec_t | DMACH4_INT | DMA Channel 4.
volatile PIE_IntVec_t | DMACH5_INT | DMA Channel 5.
volatile PIE_IntVec_t | DMACH6_INT | DMA Channel 6.
volatile PIE_IntVec_t | ECAN0INT | ECAN0INT interrupt vector.
volatile PIE_IntVec_t | ECAN1INT | ECAN1INT interrupt vector.
volatile PIE_IntVec_t | ECAP1_INT | ECAP1_INT interrupt vector.
volatile PIE_IntVec_t | ECAP2_INT | ECAP2_INT interrupt vector.
volatile PIE_IntVec_t | ECAP3_INT | ECAP3_INT interrupt vector.
volatile PIE_IntVec_t | EMUINT | EMUINT interrupt vector.
volatile PIE_IntVec_t | EPWM1_INT | EPWM1 interrupt vector.
volatile PIE_IntVec_t | EPWM1_TZINT | EPWM1_TZINT interrupt vector.
volatile PIE_IntVec_t | EPWM2_INT | EPWM2 interrupt vector.
volatile PIE_IntVec_t | EPWM2_TZINT | EPWM2_TZINT interrupt vector.
volatile PIE_IntVec_t | EPWM3_INT | EPWM3 interrupt vector.
volatile PIE_IntVec_t | EPWM3_TZINT | EPWM3_TZINT interrupt vector.
volatile PIE_IntVec_t | EPWM4_INT | EPWM4 interrupt vector.
volatile PIE_IntVec_t | EPWM4_TZINT | EPWM4_TZINT interrupt vector.
volatile PIE_IntVec_t | EPWM5_INT | EPWM5_INT interrupt vector.
volatile PIE_IntVec_t | EPWM5_TZINT | EPWM5_TZINT interrupt vector.
volatile PIE_IntVec_t | EPWM6_INT | EPWM6_INT interrupt vector.
volatile PIE_IntVec_t | EPWM6_TZINT | EPWM6_TZINT interrupt vector.
volatile PIE_IntVec_t | EPWM7_INT | EPWM7_INT interrupt vector.
volatile PIE_IntVec_t | EPWM7_TZINT | EPWM7_TZINT interrupt vector.
volatile PIE_IntVec_t | EPWM8_INT | EPWM8_INT interrupt vector.
volatile PIE_IntVec_t | EPWM8_TZINT | EPWM8_TZINT interrupt vector.
volatile PIE_IntVec_t | EQEP1_INT | EQEP1_INT interrupt vector.
volatile PIE_IntVec_t | EQEP2_INT | EQEP2_INT interrupt vector.
volatile PIE_IntVec_t | HRCAP1_INT | HRCAP1_INT interrupt vector.
volatile PIE_IntVec_t | HRCAP2_INT | HRCAP2_INT interrupt vector.
volatile PIE_IntVec_t | HRCAP3_INT | HRCAP3_INT interrupt vector.
volatile PIE_IntVec_t | HRCAP4_INT | HRCAP4_INT interrupt vector.
volatile PIE_IntVec_t | I2CINT1A | I2CINT1A interrupt vector.
volatile PIE_IntVec_t | I2CINT2A | I2CINT2A interrupt vector.
volatile PIE_IntVec_t | ILLEGAL | ILLEGAL interrupt vector.
volatile PIE_IntVec_t | INT1 | INT1 interrupt vector.
volatile PIE_IntVec_t | INT10 | INT10 interrupt vector.
volatile PIE_IntVec_t | INT11 | INT11 interrupt vector.
volatile PIE_IntVec_t | INT12 | INT12 interrupt vector.
volatile PIE_IntVec_t | INT2 | INT2 interrupt vector.
volatile PIE_IntVec_t | INT3 | INT3 interrupt vector.
volatile PIE_IntVec_t | INT4 | INT4 interrupt vector.
volatile PIE_IntVec_t | INT5 | INT5 interrupt vector.
volatile PIE_IntVec_t | INT6 | INT6 interrupt vector.
volatile PIE_IntVec_t | INT7 | INT7 interrupt vector.
volatile PIE_IntVec_t | INT8 | INT8 interrupt vector.
volatile PIE_IntVec_t | INT9 | INT9 interrupt vector.
volatile PIE_IntVec_t | MCBSPARX | McBSP A RX Interrupt.
volatile PIE_IntVec_t | MCBSPATX | McBSP A TX Interrupt.
volatile PIE_IntVec_t | NMI | NMI interrupt vector.
volatile uint16_t | PIEACK | PIE Acknowledge Register.
volatile uint16_t | PIECTRL | PIE Control Register.
volatile PIE_IERIFR_t | PIEIER_PIEIFR[12] | PIE Interrupt Enable Register and PIE Interrupt Flag Register.
volatile PIE_IntVec_t | Reset | Reset interrupt vector.
volatile PIE_IntVec_t | rsvd12_2 | Reserved.
volatile PIE_IntVec_t | rsvd12_3 | Reserved.
volatile PIE_IntVec_t | rsvd12_4 | Reserved.
volatile PIE_IntVec_t | rsvd12_5 | Reserved.
volatile PIE_IntVec_t | rsvd12_6 | Reserved.
volatile uint16_t | rsvd13[25200] | Reserved.
volatile uint16_t | rsvd14[5] | Reserved.
volatile PIE_IntVec_t | rsvd1_3 | Reserved.
volatile PIE_IntVec_t | rsvd4_4 | Reserved.
volatile PIE_IntVec_t | rsvd4_5 | Reserved.
volatile PIE_IntVec_t | rsvd4_6 | Reserved.
volatile PIE_IntVec_t | rsvd5_3 | Reserved.
volatile PIE_IntVec_t | rsvd5_6 | Reserved.
volatile PIE_IntVec_t | rsvd5_7 | Reserved.
volatile PIE_IntVec_t | rsvd6_7 | Reserved.
volatile PIE_IntVec_t | rsvd6_8 | Reserved.
volatile PIE_IntVec_t | rsvd7_7 | Reserved.
volatile PIE_IntVec_t | rsvd7_8 | Reserved.
volatile PIE_IntVec_t | rsvd8_3 | Reserved.
volatile PIE_IntVec_t | rsvd8_4 | Reserved.
volatile PIE_IntVec_t | rsvd8_5 | Reserved.
volatile PIE_IntVec_t | rsvd8_6 | Reserved.
volatile PIE_IntVec_t | rsvd8_7 | Reserved.
volatile PIE_IntVec_t | rsvd8_8 | Reserved.
volatile PIE_IntVec_t | rsvd9_7 | Reserved.
volatile PIE_IntVec_t | rsvd9_8 | Reserved.
volatile uint16_t | rsvd_1[6] | Reserved.
volatile PIE_IntVec_t | RTOSINT | RTOSINT interrupt vector.
volatile PIE_IntVec_t | SCIRXINTA | SCIRXINTA interrupt vector.
volatile PIE_IntVec_t | SCIRXINTB | SPIRXINTB interrupt vector.
volatile PIE_IntVec_t | SCITXINTA | SCITXINTA interrupt vector.
volatile PIE_IntVec_t | SCITXINTB | SPITXINTB interrupt vector.
volatile PIE_IntVec_t | SPIRXINTA | SPIRXINTA interrupt vector.
volatile PIE_IntVec_t | SPIRXINTB | SPIRXINTB interrupt vector.
volatile PIE_IntVec_t | SPITXINTA | SPITXINTA interrupt vector.
volatile PIE_IntVec_t | SPITXINTB | SPITXINTB interrupt vector.
volatile PIE_IntVec_t | TINT0 | TINT0 interrupt vector.
volatile PIE_IntVec_t | TINT1 | INT13 interrupt vector.
volatile PIE_IntVec_t | TINT2 | INT14 interrupt vector.
volatile PIE_IntVec_t | USB0_INT | USB 0 interrupt source.
volatile PIE_IntVec_t | USER1 | USER1 interrupt vector.
volatile PIE_IntVec_t | USER10 | USER10 interrupt vector.
volatile PIE_IntVec_t | USER11 | USER11 interrupt vector.
volatile PIE_IntVec_t | USER12 | USER12 interrupt vector.
volatile PIE_IntVec_t | USER2 | USER2 interrupt vector.
volatile PIE_IntVec_t | USER3 | USER3 interrupt vector.
volatile PIE_IntVec_t | USER4 | USER4 interrupt vector.
volatile PIE_IntVec_t | USER5 | USER5 interrupt vector.
volatile PIE_IntVec_t | USER6 | USER6 interrupt vector.
volatile PIE_IntVec_t | USER7 | USER7 interrupt vector.
volatile PIE_IntVec_t | USER8 | USER8 interrupt vector.
volatile PIE_IntVec_t | USER9 | USER9 interrupt vector.
volatile PIE_IntVec_t | WAKEINT | WAKEINT interrupt vector.
volatile PIE_IntVec_t | XINT1 | XINT1 interrupt vector.
volatile PIE_IntVec_t | XINT2 | XINT2 interrupt vector.
volatile PIE_IntVec_t | XINT3 | XINT3 interrupt vector.
volatile uint16_t | XINTnCR[3] | External Interrupt n Control Register.
volatile uint16_t | XINTnCTR[3] | External Interrupt n Counter Register.

## Macro Definition Documentation

#define PIE_BASE_ADDR (0x00000CE0)

Defines the base address of the peripheral interrupt expansion (PIE) registers.

Definition at line 70 of file pie.h.

#define PIE_DBGIER_DLOGINT_BITS (1 << 14)

Defines the location of the DLOGINT bits in the DBGIER register.

Definition at line 131 of file pie.h.

#define PIE_DBGIER_INT10_BITS (1 << 9)

Defines the location of the INT10 bits in the DBGIER register.

Definition at line 111 of file pie.h.

#define PIE_DBGIER_INT11_BITS (1 << 10)

Defines the location of the INT11 bits in the DBGIER register.

Definition at line 115 of file pie.h.

#define PIE_DBGIER_INT12_BITS (1 << 11)

Defines the location of the INT12 bits in the DBGIER register.

Definition at line 119 of file pie.h.

#define PIE_DBGIER_INT13_BITS (1 << 12)

Defines the location of the INT13 bits in the DBGIER register.

Definition at line 123 of file pie.h.

#define PIE_DBGIER_INT14_BITS (1 << 13)

Defines the location of the INT14 bits in the DBGIER register.

Definition at line 127 of file pie.h.

#define PIE_DBGIER_INT1_BITS (1 << 0)

Defines the location of the INT1 bits in the DBGIER register.

Definition at line 75 of file pie.h.

#define PIE_DBGIER_INT2_BITS (1 << 1)

Defines the location of the INT2 bits in the DBGIER register.

Definition at line 79 of file pie.h.

#define PIE_DBGIER_INT3_BITS (1 << 2)

Defines the location of the INT3 bits in the DBGIER register.

Definition at line 83 of file pie.h.

#define PIE_DBGIER_INT4_BITS (1 << 3)

Defines the location of the INT4 bits in the DBGIER register.

Definition at line 87 of file pie.h.

#define PIE_DBGIER_INT5_BITS (1 << 4)

Defines the location of the INT5 bits in the DBGIER register.

Definition at line 91 of file pie.h.

#define PIE_DBGIER_INT6_BITS (1 << 5)

Defines the location of the INT6 bits in the DBGIER register.

Definition at line 95 of file pie.h.

#define PIE_DBGIER_INT7_BITS (1 << 6)

Defines the location of the INT7 bits in the DBGIER register.

Definition at line 99 of file pie.h.

#define PIE_DBGIER_INT8_BITS (1 << 7)

Defines the location of the INT8 bits in the DBGIER register.

Definition at line 103 of file pie.h.

#define PIE_DBGIER_INT9_BITS (1 << 8)

Defines the location of the INT9 bits in the DBGIER register.

Definition at line 107 of file pie.h.

#define PIE_DBGIER_RTOSINT_BITS (1 << 15)

Defines the location of the RTOSINT bits in the DBGIER register.

Definition at line 135 of file pie.h.

#define PIE_IER_DLOGINT_BITS (1 << 14)

Defines the location of the DLOGINT bits in the IER register.

Definition at line 197 of file pie.h.

#define PIE_IER_INT10_BITS (1 << 9)

Defines the location of the INT10 bits in the IER register.

Definition at line 177 of file pie.h.

#define PIE_IER_INT11_BITS (1 << 10)

Defines the location of the INT11 bits in the IER register.

Definition at line 181 of file pie.h.

#define PIE_IER_INT12_BITS (1 << 11)

Defines the location of the INT12 bits in the IER register.

Definition at line 185 of file pie.h.

#define PIE_IER_INT13_BITS (1 << 12)

Defines the location of the INT13 bits in the IER register.

Definition at line 189 of file pie.h.

#define PIE_IER_INT14_BITS (1 << 13)

Defines the location of the INT14 bits in the IER register.

Definition at line 193 of file pie.h.

#define PIE_IER_INT1_BITS (1 << 0)

Defines the location of the INT1 bits in the IER register.

Definition at line 141 of file pie.h.

#define PIE_IER_INT2_BITS (1 << 1)

Defines the location of the INT2 bits in the IER register.

Definition at line 145 of file pie.h.

#define PIE_IER_INT3_BITS (1 << 2)

Defines the location of the INT3 bits in the IER register.

Definition at line 149 of file pie.h.

#define PIE_IER_INT4_BITS (1 << 3)

Defines the location of the INT4 bits in the IER register.

Definition at line 153 of file pie.h.

#define PIE_IER_INT5_BITS (1 << 4)

Defines the location of the INT5 bits in the IER register.

Definition at line 157 of file pie.h.

#define PIE_IER_INT6_BITS (1 << 5)

Defines the location of the INT6 bits in the IER register.

Definition at line 161 of file pie.h.

#define PIE_IER_INT7_BITS (1 << 6)

Defines the location of the INT7 bits in the IER register.

Definition at line 165 of file pie.h.

#define PIE_IER_INT8_BITS (1 << 7)

Defines the location of the INT8 bits in the IER register.

Definition at line 169 of file pie.h.

#define PIE_IER_INT9_BITS (1 << 8)

Defines the location of the INT9 bits in the IER register.

Definition at line 173 of file pie.h.

#define PIE_IER_RTOSINT_BITS (1 << 15)

Defines the location of the RTOSINT bits in the IER register.

Definition at line 201 of file pie.h.

#define PIE_IERx_INTx1_BITS (1 << 0)

Defines the location of the INTx1 bits in the IERx register.

Definition at line 206 of file pie.h.

Referenced by PIE_disableCaptureInt(), and PIE_enableCaptureInt().

#define PIE_IERx_INTx2_BITS (1 << 1)

Defines the location of the INTx2 bits in the IERx register.

Definition at line 210 of file pie.h.

#define PIE_IERx_INTx3_BITS (1 << 2)

Defines the location of the INTx3 bits in the IERx register.

Definition at line 214 of file pie.h.

#define PIE_IERx_INTx4_BITS (1 << 3)

Defines the location of the INTx4 bits in the IERx register.

Definition at line 218 of file pie.h.

#define PIE_IERx_INTx5_BITS (1 << 4)

Defines the location of the INTx5 bits in the IERx register.

Definition at line 222 of file pie.h.

#define PIE_IERx_INTx6_BITS (1 << 5)

Defines the location of the INTx6 bits in the IERx register.

Definition at line 226 of file pie.h.

#define PIE_IERx_INTx7_BITS (1 << 6)

Defines the location of the INTx7 bits in the IERx register.

Definition at line 230 of file pie.h.

Referenced by PIE_enableTimer0Int().

#define PIE_IERx_INTx8_BITS (1 << 7)

Defines the location of the INTx8 bits in the IERx register.

Definition at line 234 of file pie.h.

#define PIE_IFR_DLOGINT_BITS (1 << 14)

Defines the location of the DLOGINT bits in the IFR register.

Definition at line 295 of file pie.h.

#define PIE_IFR_INT10_BITS (1 << 9)

Defines the location of the INT10 bits in the IFR register.

Definition at line 275 of file pie.h.

#define PIE_IFR_INT11_BITS (1 << 10)

Defines the location of the INT11 bits in the IFR register.

Definition at line 279 of file pie.h.

#define PIE_IFR_INT12_BITS (1 << 11)

Defines the location of the INT12 bits in the IFR register.

Definition at line 283 of file pie.h.

#define PIE_IFR_INT13_BITS (1 << 12)

Defines the location of the INT13 bits in the IFR register.

Definition at line 287 of file pie.h.

#define PIE_IFR_INT14_BITS (1 << 13)

Defines the location of the INT14 bits in the IFR register.

Definition at line 291 of file pie.h.

#define PIE_IFR_INT1_BITS (1 << 0)

Defines the location of the INT1 bits in the IFR register.

Definition at line 239 of file pie.h.

#define PIE_IFR_INT2_BITS (1 << 1)

Defines the location of the INT2 bits in the IFR register.

Definition at line 243 of file pie.h.

#define PIE_IFR_INT3_BITS (1 << 2)

Defines the location of the INT3 bits in the IFR register.

Definition at line 247 of file pie.h.

#define PIE_IFR_INT4_BITS (1 << 3)

Defines the location of the INT4 bits in the IFR register.

Definition at line 251 of file pie.h.

#define PIE_IFR_INT5_BITS (1 << 4)

Defines the location of the INT5 bits in the IFR register.

Definition at line 255 of file pie.h.

#define PIE_IFR_INT6_BITS (1 << 5)

Defines the location of the INT6 bits in the IFR register.

Definition at line 259 of file pie.h.

#define PIE_IFR_INT7_BITS (1 << 6)

Defines the location of the INT7 bits in the IFR register.

Definition at line 263 of file pie.h.

#define PIE_IFR_INT8_BITS (1 << 7)

Defines the location of the INT8 bits in the IFR register.

Definition at line 267 of file pie.h.

#define PIE_IFR_INT9_BITS (1 << 8)

Defines the location of the INT9 bits in the IFR register.

Definition at line 271 of file pie.h.

#define PIE_IFR_RTOSINT_BITS (1 << 15)

Defines the location of the RTOSINT bits in the IFR register.

Definition at line 299 of file pie.h.

#define PIE_IFRx_INTx1_BITS (1 << 0)

Defines the location of the INTx1 bits in the IFRx register.

Definition at line 304 of file pie.h.

#define PIE_IFRx_INTx2_BITS (1 << 1)

Defines the location of the INTx2 bits in the IFRx register.

Definition at line 308 of file pie.h.

#define PIE_IFRx_INTx3_BITS (1 << 2)

Defines the location of the INTx3 bits in the IFRx register.

Definition at line 312 of file pie.h.

#define PIE_IFRx_INTx4_BITS (1 << 3)

Defines the location of the INTx4 bits in the IFRx register.

Definition at line 316 of file pie.h.

#define PIE_IFRx_INTx5_BITS (1 << 4)

Defines the location of the INTx5 bits in the IFRx register.

Definition at line 320 of file pie.h.

#define PIE_IFRx_INTx6_BITS (1 << 5)

Defines the location of the INTx6 bits in the IFRx register.

Definition at line 324 of file pie.h.

#define PIE_IFRx_INTx7_BITS (1 << 6)

Defines the location of the INTx7 bits in the IFRx register.

Definition at line 328 of file pie.h.

#define PIE_IFRx_INTx8_BITS (1 << 7)

Defines the location of the INTx8 bits in the IFRx register.

Definition at line 332 of file pie.h.

#define PIE_PIEACK_GROUP10_BITS (1 << 9)

Defines the location of the GROUP10 bits in the PIEACK register.

Definition at line 383 of file pie.h.

#define PIE_PIEACK_GROUP11_BITS (1 << 10)

Defines the location of the GROUP11 bits in the PIEACK register.

Definition at line 387 of file pie.h.

#define PIE_PIEACK_GROUP12_BITS (1 << 11)

Defines the location of the GROUP12 bits in the PIEACK register.

Definition at line 391 of file pie.h.

#define PIE_PIEACK_GROUP1_BITS (1 << 0)

Defines the location of the GROUP1 bits in the PIEACK register.

Definition at line 347 of file pie.h.

#define PIE_PIEACK_GROUP2_BITS (1 << 1)

Defines the location of the GROUP2 bits in the PIEACK register.

Definition at line 351 of file pie.h.

#define PIE_PIEACK_GROUP3_BITS (1 << 2)

Defines the location of the GROUP3 bits in the PIEACK register.

Definition at line 355 of file pie.h.

#define PIE_PIEACK_GROUP4_BITS (1 << 3)

Defines the location of the GROUP4 bits in the PIEACK register.

Definition at line 359 of file pie.h.

#define PIE_PIEACK_GROUP5_BITS (1 << 4)

Defines the location of the GROUP5 bits in the PIEACK register.

Definition at line 363 of file pie.h.

#define PIE_PIEACK_GROUP6_BITS (1 << 5)

Defines the location of the GROUP6 bits in the PIEACK register.

Definition at line 367 of file pie.h.

#define PIE_PIEACK_GROUP7_BITS (1 << 6)

Defines the location of the GROUP7 bits in the PIEACK register.

Definition at line 371 of file pie.h.

#define PIE_PIEACK_GROUP8_BITS (1 << 7)

Defines the location of the GROUP8 bits in the PIEACK register.

Definition at line 375 of file pie.h.

#define PIE_PIEACK_GROUP9_BITS (1 << 8)

Defines the location of the GROUP9 bits in the PIEACK register.

Definition at line 379 of file pie.h.

#define PIE_PIECTRL_ENPIE_BITS (1 << 0)

Defines the location of the ENPIE bits in the PIECTRL register.

Definition at line 337 of file pie.h.

Referenced by PIE_disable(), and PIE_enable().

#define PIE_PIECTRL_PIEVECT_BITS (32767 << 1)

Defines the location of the PIEVECT bits in the PIECTRL register.

Definition at line 341 of file pie.h.

#define PIE_XINTnCR_ENABLE_BITS (1 << 0)

Definition at line 395 of file pie.h.

Referenced by PIE_disableExtInt(), and PIE_enableExtInt().

#define PIE_XINTnCR_POLARITY_BITS (3 << 2)

Definition at line 394 of file pie.h.

Referenced by PIE_setExtIntPolarity().

## Typedef Documentation

typedef struct _PIE_Obj_* PIE_Handle

Defines the peripheral interrupt expansion (PIE) handle.

Definition at line 768 of file pie.h.

typedef struct _PIE_IERIFR_t PIE_IERIFR_t

Defines the PIE_IERIFR_t data type.

typedef interrupt void(* PIE_IntVec_t) (void)

Defines the type for an interrupt vector.

Definition at line 403 of file pie.h.

typedef struct _PIE_Obj_ PIE_Obj

Defines the peripheral interrupt expansion (PIE) object.

## Enumeration Type Documentation

enum PIE_ExtIntPolarity_e

Enumeration to define the external interrupt polarity.

Enumerator
PIE_ExtIntPolarity_FallingEdge | Denotes an interrupt is generated on the falling edge.
PIE_ExtIntPolarity_RisingEdge | Denotes an interrupt is generated on the rising edge.
PIE_ExtIntPolarity_RisingAndFallingEdge | Denotes an interrupt is generated on the falling and rising edges.

Definition at line 408 of file pie.h.

enum PIE_GroupNumber_e

Enumeration to define the peripheral interrupt expansion (PIE) group numbers.

Enumerator
PIE_GroupNumber_1 | Denotes PIE group number 1.
PIE_GroupNumber_2 | Denotes PIE group number 2.
PIE_GroupNumber_3 | Denotes PIE group number 3.
PIE_GroupNumber_4 | Denotes PIE group number 4.
PIE_GroupNumber_5 | Denotes PIE group number 5.
PIE_GroupNumber_6 | Denotes PIE group number 6.
PIE_GroupNumber_7 | Denotes PIE group number 7.
PIE_GroupNumber_8 | Denotes PIE group number 8.
PIE_GroupNumber_9 | Denotes PIE group number 9.
PIE_GroupNumber_10 | Denotes PIE group number 10.
PIE_GroupNumber_11 | Denotes PIE group number 11.
PIE_GroupNumber_12 | Denotes PIE group number 12.

Definition at line 418 of file pie.h.

enum PIE_InterruptSource_e

Enumeration to define the peripheral interrupt expansion (PIE) individual interrupt sources.

Enumerator
PIE_InterruptSource_ADCINT_1_1 | Group 1 ADC Interrupt 1.
PIE_InterruptSource_ADCINT_1_2 | Group 1 ADC Interrupt 2.
PIE_InterruptSource_XINT_1 | External Interrupt 1.
PIE_InterruptSource_XINT_2 | External Interrupt 2.
PIE_InterruptSource_ADCINT_9 | ADC Interrupt 9.
PIE_InterruptSource_TIMER_0 | Timer Interrupt 0.
PIE_InterruptSource_WAKE | Wake Up Interrupt.
PIE_InterruptSource_TZ1 | EPWM TZ1 Interrupt.
PIE_InterruptSource_TZ2 | EPWM TZ2 Interrupt.
PIE_InterruptSource_TZ3 | EPWM TZ3 Interrupt.
PIE_InterruptSource_TZ4 | EPWM TZ4 Interrupt.
PIE_InterruptSource_TZ5 | EPWM TZ5 Interrupt.
PIE_InterruptSource_TZ6 | EPWM TZ6 Interrupt.
PIE_InterruptSource_TZ7 | EPWM TZ7 Interrupt.
PIE_InterruptSource_TZ8 | EPWM TZ8 Interrupt.
PIE_InterruptSource_EPWM1 | EPWM 1 Interrupt.
PIE_InterruptSource_EPWM2 | EPWM 2 Interrupt.
PIE_InterruptSource_EPWM3 | EPWM 3 Interrupt.
PIE_InterruptSource_EPWM4 | EPWM 4 Interrupt.
PIE_InterruptSource_EPWM5 | EPWM 5 Interrupt.
PIE_InterruptSource_EPWM6 | EPWM 6 Interrupt.
PIE_InterruptSource_EPWM7 | EPWM 7 Interrupt.
PIE_InterruptSource_EPWM8 | EPWM 8 Interrupt.
PIE_InterruptSource_ECAP1 | ECAP 1 Interrupt.
PIE_InterruptSource_ECAP2 | ECAP 2 Interrupt.
PIE_InterruptSource_ECAP3 | ECAP 3 Interrupt.
PIE_InterruptSource_HRCAP1 | HRCAP1 Interrupt.
PIE_InterruptSource_HRCAP2 | HRCAP2 Interrupt.
PIE_InterruptSource_EQEP1 | EQEP 1 Interrupt.
PIE_InterruptSource_EQEP2 | EQEP 2 Interrupt.
PIE_InterruptSource_HRCAP3 | HRCAP3 Interrupt.
PIE_InterruptSource_HRCAP4 | HRCAP4 Interrupt.
PIE_InterruptSource_USB0 | USB0 Interrupt.
PIE_InterruptSource_SPIARX | SPI A RX Interrupt.
PIE_InterruptSource_SPIATX | SPI A TX Interrupt.
PIE_InterruptSource_SPIBRX | SPI B RX Interrupt.
PIE_InterruptSource_SPIBTX | SPI B TX Interrupt.
PIE_InterruptSource_MCBSPARX | McBSP A RX Interrupt.
PIE_InterruptSource_MCBSPATX | McBSP A TX Interrupt.
PIE_InterruptSource_DMA_CH1 | DMA Channel 1.
PIE_InterruptSource_DMA_CH2 | DMA Channel 2.
PIE_InterruptSource_DMA_CH3 | DMA Channel 3.
PIE_InterruptSource_DMA_CH4 | DMA Channel 4.
PIE_InterruptSource_DMA_CH5 | DMA Channel 5.
PIE_InterruptSource_DMA_CH6 | DMA Channel 6.
PIE_InterruptSource_I2CA1 | I2C A Interrupt 1.
PIE_InterruptSource_I2CA2 | I2C A Interrupt 2.
PIE_InterruptSource_SCIARX | SCI A RX Interrupt.
PIE_InterruptSource_SCIATX | SCI A TX Interrupt.
PIE_InterruptSource_SCIBRX | SCI B RX Interrupt.
PIE_InterruptSource_SCIBTX | SCI B TX Interrupt.
PIE_InterruptSource_ECANA0 | eCAN A 0 Interrupt
PIE_InterruptSource_ECANA1 | eCAN A 1 Interrupt
PIE_InterruptSource_ADCINT_10_1 | Group 10 ADC Interrupt 1.
PIE_InterruptSource_ADCINT_10_2 | Group 10 ADC Interrupt 2.
PIE_InterruptSource_ADCINT_3 | ADC Interrupt 3.
PIE_InterruptSource_ADCINT_4 | ADC Interrupt 4.
PIE_InterruptSource_ADCINT_5 | ADC Interrupt 5.
PIE_InterruptSource_ADCINT_6 | ADC Interrupt 6.
PIE_InterruptSource_ADCINT_7 | ADC Interrupt 7.
PIE_InterruptSource_ADCINT_8 | ADC Interrupt 8.
PIE_InterruptSource_CLAINT_1 | CLA Interrupt 1.
PIE_InterruptSource_CLAINT_2 | CLA Interrupt 2.
PIE_InterruptSource_CLAINT_3 | CLA Interrupt 3.
PIE_InterruptSource_CLAINT_4 | CLA Interrupt 4.
PIE_InterruptSource_CLAINT_5 | CLA Interrupt 5.
PIE_InterruptSource_CLAINT_6 | CLA Interrupt 6.
PIE_InterruptSource_CLAINT_7 | CLA Interrupt 7.
PIE_InterruptSource_CLAINT_8 | CLA Interrupt 8.
PIE_InterruptSource_XINT_3 | External Interrupt 3.
PIE_InterruptSource_CLAINT_LVF | CLA Interrupt LVF.
PIE_InterruptSource_CLAINT_LUF | CLA Interrupt LUF.

Definition at line 491 of file pie.h.

enum PIE_SubGroupNumber_e

Enumeration to define the peripheral interrupt expansion (PIE) sub-group numbers.

Enumerator
PIE_SubGroupNumber_1 | Denotes PIE group number 1.
PIE_SubGroupNumber_2 | Denotes PIE group number 2.
PIE_SubGroupNumber_3 | Denotes PIE group number 3.
PIE_SubGroupNumber_4 | Denotes PIE group number 4.
PIE_SubGroupNumber_5 | Denotes PIE group number 5.
PIE_SubGroupNumber_6 | Denotes PIE group number 6.
PIE_SubGroupNumber_7 | Denotes PIE group number 7.
PIE_SubGroupNumber_8 | Denotes PIE group number 8.

Definition at line 437 of file pie.h.

enum PIE_SystemInterrupts_e

Enumeration to define the system interrupts.

Enumerator
PIE_SystemInterrupts_Reset | Reset interrupt vector.
PIE_SystemInterrupts_INT1 | INT1 interrupt vector.
PIE_SystemInterrupts_INT2 | INT2 interrupt vector.
PIE_SystemInterrupts_INT3 | INT3 interrupt vector.
PIE_SystemInterrupts_INT4 | INT4 interrupt vector.
PIE_SystemInterrupts_INT5 | INT5 interrupt vector.
PIE_SystemInterrupts_INT6 | INT6 interrupt vector.
PIE_SystemInterrupts_INT7 | INT7 interrupt vector.
PIE_SystemInterrupts_INT8 | INT8 interrupt vector.
PIE_SystemInterrupts_INT9 | INT9 interrupt vector.
PIE_SystemInterrupts_INT10 | INT10 interrupt vector.
PIE_SystemInterrupts_INT11 | INT11 interrupt vector.
PIE_SystemInterrupts_INT12 | INT12 interrupt vector.
PIE_SystemInterrupts_TINT1 | INT13 interrupt vector.
PIE_SystemInterrupts_TINT2 | INT14 interrupt vector.
PIE_SystemInterrupts_DATALOG | DATALOG interrupt vector.
PIE_SystemInterrupts_RTOSINT | RTOSINT interrupt vector.
PIE_SystemInterrupts_EMUINT | EMUINT interrupt vector.
PIE_SystemInterrupts_NMI | NMI interrupt vector.
PIE_SystemInterrupts_ILLEGAL | ILLEGAL interrupt vector.
PIE_SystemInterrupts_USER1 | USER1 interrupt vector.
PIE_SystemInterrupts_USER2 | USER2 interrupt vector.
PIE_SystemInterrupts_USER3 | USER3 interrupt vector.
PIE_SystemInterrupts_USER4 | USER4 interrupt vector.
PIE_SystemInterrupts_USER5 | USER5 interrupt vector.
PIE_SystemInterrupts_USER6 | USER6 interrupt vector.
PIE_SystemInterrupts_USER7 | USER7 interrupt vector.
PIE_SystemInterrupts_USER8 | USER8 interrupt vector.
PIE_SystemInterrupts_USER9 | USER9 interrupt vector.
PIE_SystemInterrupts_USER10 | USER10 interrupt vector.
PIE_SystemInterrupts_USER11 | USER11 interrupt vector.
PIE_SystemInterrupts_USER12 | USER12 interrupt vector.

Definition at line 452 of file pie.h.

## Function Documentation

void PIE_clearAllFlags | ( | PIE_Handle | pieHandle | ) |

Clears all the interrupt flags.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle

Definition at line 55 of file pie.c.

References _PIE_IERIFR_t::IFR, and _PIE_Obj_::PIEIER_PIEIFR.

void PIE_clearAllInts | ( | PIE_Handle | pieHandle | ) |

Clears all the interrupts.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle

Definition at line 70 of file pie.c.

References _PIE_Obj_::PIEACK.

static void PIE_clearInt | ( | PIE_Handle | pieHandle,
|  | const PIE_GroupNumber_e | groupNumber
| ) |  |
| inline static

Clears an interrupt defined by group number.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle
  [in] | groupNumber | The group number

Definition at line 791 of file pie.h.

References _PIE_Obj_::PIEACK.

void PIE_disable | ( | PIE_Handle | pieHandle | ) |

Disables the peripheral interrupt expansion (PIE)

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle

Definition at line 82 of file pie.c.

References PIE_PIECTRL_ENPIE_BITS, and _PIE_Obj_::PIECTRL.

void PIE_disableAllInts | ( | PIE_Handle | pieHandle | ) |

Disables all of the interrupts.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle

Definition at line 116 of file pie.c.

References _PIE_IERIFR_t::IER, and _PIE_Obj_::PIEIER_PIEIFR.

void PIE_disableCaptureInt | ( | PIE_Handle | pieHandle | ) |

Disables the capture interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle

Definition at line 93 of file pie.c.

References _PIE_IERIFR_t::IER, PIE_IERx_INTx1_BITS, and _PIE_Obj_::PIEIER_PIEIFR.

void PIE_disableInt | ( | PIE_Handle | pieHandle,
|  | const PIE_GroupNumber_e | group,
|  | const PIE_InterruptSource_e | intSource
| ) |  |

Disable a specific PIE interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle
  [in] | group | The PIE group an interrupt belongs to
  [in] | intSource | The specific interrupt source to disable

Definition at line 130 of file pie.c.

References _PIE_IERIFR_t::IER, and _PIE_Obj_::PIEIER_PIEIFR.

void PIE_enable | ( | PIE_Handle | pieHandle | ) |

Enables the peripheral interrupt expansion (PIE)

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle

Definition at line 140 of file pie.c.

References PIE_PIECTRL_ENPIE_BITS, and _PIE_Obj_::PIECTRL.

void PIE_enableAdcInt | ( | PIE_Handle | pieHandle,
|  | const ADC_IntNumber_e | intNumber
| ) |  |

Enables the specified ADC interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle
  [in] | intNumber | The interrupt number

Definition at line 152 of file pie.c.

References ADC_IntNumber_9, _PIE_IERIFR_t::IER, and _PIE_Obj_::PIEIER_PIEIFR.

void PIE_enableCaptureInt | ( | PIE_Handle | pieHandle | ) |

Enables the capture interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle

Definition at line 181 of file pie.c.

References _PIE_IERIFR_t::IER, PIE_IERx_INTx1_BITS, and _PIE_Obj_::PIEIER_PIEIFR.

void PIE_enableExtInt | ( | PIE_Handle | pieHandle,
|  | const CPU_ExtIntNumber_e | intNumber
| ) |  |

Enables the prescribed external interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) handle
  [in] | intNumber | The interrupt number

Definition at line 192 of file pie.c.

References CPU_ExtIntNumber_3, _PIE_IERIFR_t::IER, PIE_XINTnCR_ENABLE_BITS, _PIE_Obj_::PIEIER_PIEIFR, and _PIE_Obj_::XINTnCR.

void PIE_enableInt | ( | PIE_Handle | pieHandle,
|  | const PIE_GroupNumber_e | group,
|  | const PIE_InterruptSource_e | intSource
| ) |  |

Enable a specific PIE interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle
  [in] | group | The PIE group an interrupt belongs to
  [in] | intSource | The specific interrupt source to enable

Definition at line 221 of file pie.c.

References _PIE_IERIFR_t::IER, and _PIE_Obj_::PIEIER_PIEIFR.

void PIE_enablePwmInt | ( | PIE_Handle | pieHandle,
|  | const PWM_Number_e | pwmNumber
| ) |  |

Enables the PWM interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) handle
  [in] | pwmNumber | The PWM number

Definition at line 231 of file pie.c.

References _PIE_IERIFR_t::IER, and _PIE_Obj_::PIEIER_PIEIFR.

void PIE_enablePwmTzInt | ( | PIE_Handle | pieHandle,
|  | const PWM_Number_e | pwmNumber
| ) |  |

Enables the PWM Trip Zone interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) handle
  [in] | pwmNumber | The PWM number

Definition at line 244 of file pie.c.

References _PIE_IERIFR_t::IER, and _PIE_Obj_::PIEIER_PIEIFR.

void PIE_enableTimer0Int | ( | PIE_Handle | pieHandle | ) |

Enables the Cpu Timer 0 interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) handle

Definition at line 257 of file pie.c.

References _PIE_IERIFR_t::IER, PIE_IERx_INTx7_BITS, and _PIE_Obj_::PIEIER_PIEIFR.

void PIE_forceInt | ( | PIE_Handle | pieHandle,
|  | const PIE_GroupNumber_e | group,
|  | const PIE_InterruptSource_e | intSource
| ) |  |

Force a specific PIE interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle
  [in] | group | The PIE group an interrupt belongs to
  [in] | intSource | The specific interrupt source to force

Definition at line 268 of file pie.c.

References _PIE_IERIFR_t::IFR, and _PIE_Obj_::PIEIER_PIEIFR.

uint16_t PIE_getExtIntCount | ( | PIE_Handle | pieHandle,
|  | const CPU_ExtIntNumber_e | intNumber
| ) |  |

Gets the external interrupt count value.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) handle
  [in] | intNumber | The external interrupt number

Returns
  The count value

Definition at line 278 of file pie.c.

References _PIE_Obj_::XINTnCTR.

uint16_t PIE_getIntEnables | ( | PIE_Handle | pieHandle,
|  | const PIE_GroupNumber_e | group
| ) |  |

Gets PIE interrupt enable values.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle
  [in] | group | The PIE group the flags belong to

Definition at line 290 of file pie.c.

References _PIE_IERIFR_t::IER, and _PIE_Obj_::PIEIER_PIEIFR.

uint16_t PIE_getIntFlags | ( | PIE_Handle | pieHandle,
|  | const PIE_GroupNumber_e | group
| ) |  |

Gets PIE interrupt flag values.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle
  [in] | group | The PIE group the flags belong to

Definition at line 298 of file pie.c.

References _PIE_IERIFR_t::IFR, and _PIE_Obj_::PIEIER_PIEIFR.

interrupt void PIE_illegalIsr | ( | void |  | ) |

Defines an illegal interrupt service routine - if the program pointer references this function, there is an incorrect mapping in the PIE interrupt table.

Definition at line 306 of file pie.c.

Referenced by PIE_setDefaultIntVectorTable(), PIE_unregisterPieIntHandler(), and PIE_unregisterSystemIntHandler().

PIE_Handle PIE_init | ( | void * | pMemory,
|  | const size_t | numBytes
| ) |  |

Initializes the peripheral interrupt expansion (PIE) object handle.

Parameters

  [in] | pMemory | A pointer to the memory for the PIE object
  [in] | numBytes | The number of bytes allocated for the PIE object, bytes

Returns
  The peripheral interrupt expansion (PIE) object handle

Definition at line 318 of file pie.c.

void PIE_registerPieIntHandler | ( | PIE_Handle | pieHandle,
|  | const PIE_GroupNumber_e | groupNumber,
|  | const PIE_SubGroupNumber_e | subGroupNumber,
|  | const PIE_IntVec_t | vector
| ) |  |

Registers a handler for a PIE interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle
  [in] | groupNumber | The PIE group an interrupt belongs to
  [in] | subGroupNumber | The PIE subgroup an interrupt belongs to
  [in] | vector | The specific interrupt handler

Definition at line 334 of file pie.c.

References _PIE_Obj_::ADCINT1_HP, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void PIE_registerSystemIntHandler | ( | PIE_Handle | pieHandle,
|  | const PIE_SystemInterrupts_e | systemInt,
|  | const PIE_IntVec_t | vector
| ) |  |

Registers a handler for a PIE interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle
  [in] | systemInt | The system interrupt to register this handler to
  [in] | vector | The specific interrupt handler

Definition at line 362 of file pie.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _PIE_Obj_::Reset.

void PIE_setDefaultIntVectorTable | ( | PIE_Handle | pieHandle | ) |

Initializes the vector table with illegal ISR handlers.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle

Definition at line 386 of file pie.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, _PIE_Obj_::INT1, and PIE_illegalIsr().

void PIE_setExtIntPolarity | ( | PIE_Handle | pieHandle,
|  | const CPU_ExtIntNumber_e | intNumber,
|  | const PIE_ExtIntPolarity_e | polarity
| ) |  |

Sets the external interrupt polarity.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) handle
  [in] | intNumber | The external interrupt number
  [in] | polarity | The signal polarity

Definition at line 406 of file pie.c.

References PIE_XINTnCR_POLARITY_BITS, and _PIE_Obj_::XINTnCR.

void PIE_unregisterPieIntHandler | ( | PIE_Handle | pieHandle,
|  | const PIE_GroupNumber_e | groupNumber,
|  | const PIE_SubGroupNumber_e | subGroupNumber
| ) |  |

Unregisters a handler for a PIE interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle
  [in] | groupNumber | The PIE group an interrupt belongs to
  [in] | subGroupNumber | The PIE subgroup an interrupt belongs to

Definition at line 423 of file pie.c.

References _PIE_Obj_::ADCINT1_HP, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and PIE_illegalIsr().

void PIE_unregisterSystemIntHandler | ( | PIE_Handle | pieHandle,
|  | const PIE_SystemInterrupts_e | systemInt
| ) |  |

Unregisters a handler for a PIE interrupt.

Parameters

  [in] | pieHandle | The peripheral interrupt expansion (PIE) object handle
  [in] | systemInt | The system interrupt to unregister

Definition at line 450 of file pie.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, PIE_illegalIsr(), and _PIE_Obj_::Reset.